aboutsummaryrefslogtreecommitdiff
path: root/docs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'docs.sh')
-rwxr-xr-xdocs.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/docs.sh b/docs.sh
new file mode 100755
index 0000000..3754261
--- /dev/null
+++ b/docs.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -o nounset
+set -o pipefail
+set -o errexit
+
+
+build() {
+ ./build.sh doc
+}
+
+copy() {
+ cp -a ./_tmp/doc/* ./gh-pages/doc/
+ echo "After commiting changes, you can publish them by running: ./docs.sh publish"
+}
+
+publish() {
+ git subtree push --prefix gh-pages origin gh-pages
+}
+
+if test $# -eq 0 ; then
+ build
+ copy
+else
+ "$@"
+fi
+
+